Package ghidra.program.model.util

# Interface IntPropertyMap

All Superinterfaces:
  `PropertyMap<Integer>`

All Known Implementing Classes:
  `DefaultIntPropertyMap`, `IntPropertyMapDB`

public interface IntPropertyMap extends PropertyMap<Integer>
Property manager that deals with properties that are of int type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr, int value)`
  Add an int value at the specified address.
  `default void`
  `add(Address addr, Object value)`
  Add a map-specific value type to the specified address
  `int`
  `getInt(Address addr)`
  Get the integer value at the given address.
  `default Class<Integer>`
  `getValueClass()`
  Returns property value class.

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `get, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

- ## Method Details

  - ### getValueClass

    default Class<Integer> getValueClass()
    Description copied from interface: `PropertyMap`
    Returns property value class.
    Specified by:
      `getValueClass` in interface `PropertyMap<Integer>`
    Returns:
      property value class or null for an unsupported map type

  - ### add

    void add(Address addr, int value)
    Add an int value at the specified address.
    Parameters:
      `addr` - address for the property
      `value` - value of the property

  - ### getInt

    int getInt(Address addr) throws NoValueException
    Get the integer value at the given address.
    Parameters:
      `addr` - the address from where to get the int value
    Returns:
      integer property value
    Throws:
      `NoValueException` - if there is no property value at addr.

  - ### add

    default void add(Address addr, Object value)
    Description copied from interface: `PropertyMap`
    Add a map-specific value type to the specified address
    Specified by:
      `add` in interface `PropertyMap<Integer>`
    Parameters:
      `addr` - property address
      `value` - property value or null (null remove value at address)